curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Records the participation of multiple HubSpot contacts in a Marketing Event using their HubSpot contact IDs.
Additional Functionality:
Allowed Properties: For the state “attend”:
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The internal id of the marketing event in HubSpot.
The attendance state value. It may be 'register', 'attend' or 'cancel'
List of HubSpot contacts to subscribe to the marketing event
Show child attributes
successful operation
Timestamp that represents when the request finished processing
Show child attributes
Timestamp that represents when the request started processing
The status of the request processing
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Result of the request
Show child attributes
The number of errors that occurred during the processing
Timestamp that represents when the request was made